# Update

`PATCH /api/2.1/unity-catalog/permissions/{securable_type}/{securable_full_name}`

Updates the permissions for a securable.

API scopes: unity-catalog

## Path parameters

- `securable_type` (string, optional)
  Type of securable.
- `securable_full_name` (string, optional)
  Full name of securable.

## Request body

- `omit_permissions_in_response` (boolean, optional)
  Optional, default false. Specifies whether all the permissions should be returned in the response.
  Default: `false`
- `changes` (array of object, optional)
  Array of permissions change objects.
  - `principal` (string, optional)
    The principal whose privileges we are changing.
     Only one of principal or principal_id should be specified, never both at the same time.
  - `add` (array of string, optional)
    The set of privileges to add.
  - `remove` (array of string, optional)
    The set of privileges to remove.

## Returns

Returns a list of PrivilegeAssignment objects.

## Response

```json
{
  "privilege_assignments": [
    {
      "principal": "string",
      "privileges": "SELECT"
    }
  ]
}
```

